<?
 require_once($_path["include"]."module.php");

 class blog_tags extends Module
 {
  function init(&$data)
  {
   Module::init($data);

   $this->data->title=$this->data->l->t("Blog tags");

   $this->data->addField("tag", "title", "all", "title", 1, 50, false, "Tag");
   $this->data->addUnique("tag", "tag");

   $this->data->defaultFields();

   $this->data->addReference("blog_tagsmapping", "blog_entries", "nr", "*:*", "nr");

   $this->data->addField("cloud_size", "float", "", "", false, false, false, "Size for cloud", "Ranges from min to max and is round if field type is nr");

   $this->data->sortOrder("tag");
  }

  function viewPreGet()
  {
   if($this->data->check("use", "show", "cloud_size"))
    if(!$this->data->check("use", "show", "blog_tagsmapping"))
     $this->data->field["blog_tagsmapping"]["use"].=";show";

   return true;
  }


  function viewPostGetReferences()
  {
   if($this->data->check("use", "show", "cloud_size"))
   {
    $max=0;
    for($c=0;$c<$this->data->vmax;$c++)
    {
     $this->data->field["cloud_size"]["value"][$c]=sizeof($this->data->field["blog_tagsmapping"]["value"][$c]);

     if($this->data->field["cloud_size"]["value"][$c]>$max)
      $max=$this->data->field["cloud_size"]["value"][$c];
    }

    for($c=0;$c<$this->data->vmax;$c++)
    {
     $this->data->field["cloud_size"]["value"][$c]/=$max;

     if($this->data->field["cloud_size"]["max"])
      $this->data->field["cloud_size"]["value"][$c]*=($this->data->field["cloud_size"]["max"]-$this->data->field["cloud_size"]["min"]);

     if($this->data->field["cloud_size"]["min"])
      $this->data->field["cloud_size"]["value"][$c]+=$this->data->field["cloud_size"]["min"];

     if($this->data->field["cloud_size"]["type"]=="nr")
      $this->data->field["cloud_size"]["value"][$c]=round($this->data->field["cloud_size"]["value"][$c]);
    }
   }

   return true;
  }
 }
?>
